label = bbh_multiband
detectors = [H1, L1, V1]
duration = 16
minimum-frequency = 20
sampling_frequency = 2048
outdir = outdir
webdir = webdir
sampler = dynesty
sampler-kwargs = {'nact': 3, 'nlive': 500}
gaussian-noise = True
create-summary = True

injection = True
injection-dict = {'chirp_mass': 11, 'mass_ratio': 0.8, 'chi_1': 0.0, 'chi_2': 0.0, 'luminosity_distance': 1200, 'dec': 1.2, 'ra': 1.3, 'theta_jn': 0.4, 'psi': 0.659, 'phase': 1.3, 'geocent_time': 0.040833669551002205}

trigger-time = 0
prior-dict = {
chirp_mass = bilby.gw.prior.UniformInComponentsChirpMass(name='chirp_mass', minimum=9, maximum=13, unit='$M_{\odot}$'),
mass_ratio = bilby.gw.prior.UniformInComponentsMassRatio(name='mass_ratio', minimum=0.5, maximum=1),
chi_1 = 0.,
chi_2 = 0.,
luminosity_distance = bilby.gw.prior.UniformSourceFrame(name='luminosity_distance', minimum=1e2, maximum=5e3, unit='Mpc'),
dec = Cosine(name='dec'),
ra = Uniform(name='ra', minimum=0, maximum=2 * np.pi, boundary='periodic'),
theta_jn = Sine(name='theta_jn'),
psi = Uniform(name='psi', minimum=0, maximum=np.pi, boundary='periodic'),
phase = Uniform(name='phase', minimum=0, maximum=2 * np.pi, boundary='periodic')
}

likelihood_type = MBGravitationalWaveTransient
## The following are optional parameters
#extra_likelihood_kwargs = {
#    reference_chirp_mass = 1.2,
#    highest_mode = 2,
#    linear_interpolation = True,
#    accuracy_factor = 5,
#    time_offset = 2.1,
#    delta_f_end = 50,
#    maximum_banding_frequency = 50,
#    minimum_banding_duration = 6,
#    weights = "weights.hdf5"
#}

accounting = ligo.dev.o4.cbc.pe.bilby
